FileBasedBuilderProperties (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.builder, interface: FileBasedBuilderProperties

Package org.apache.commons.configuration2.builder

# Interface FileBasedBuilderProperties<T>

Type Parameters:
  `T` - the type of the result of all set methods for method chaining

All Known Subinterfaces:
  `FileBasedBuilderParameters`, `HierarchicalBuilderParameters`, `INIBuilderParameters`, `PropertiesBuilderParameters`, `XMLBuilderParameters`

All Known Implementing Classes:
  `FileBasedBuilderParametersImpl`, `HierarchicalBuilderParametersImpl`, `INIBuilderParametersImpl`, `PropertiesBuilderParametersImpl`, `XMLBuilderParametersImpl`

public interface FileBasedBuilderProperties<T>

Definition of a properties interface for parameters of file-based configurations.

This interface defines a set of properties which can be used to specify the location of a configuration source.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `setBasePath(String path)`
  Sets the base path of the associated `FileHandler`.
  `T`
  `setEncoding(String enc)`
  Sets the encoding of the associated `FileHandler`.
  `T`
  `setFile(File file)`
  Sets the location of the associated `FileHandler` as a `File` object.
  `T`
  `setFileName(String name)`
  Sets the file name of the associated `FileHandler`.
  `T`
  `setFileSystem(FileSystem fs)`
  Sets the `FileSystem` of the associated `FileHandler`.
  `T`
  `setLocationStrategy(FileLocationStrategy strategy)`
  Sets the `FileLocationStrategy` for resolving the referenced file.
  `T`
  `setPath(String path)`
  Sets the location of the associated `FileHandler` as an absolute file path.
  `T`
  `setReloadingDetectorFactory(ReloadingDetectorFactory factory)`
  Sets the factory for creating `ReloadingDetector` objects.
  `T`
  `setReloadingRefreshDelay(Long reloadingRefreshDelay)`
  Sets the refresh delay for reloading support
  `T`
  `setURL(URL url)`
  Sets the location of the associated `FileHandler` as a `URL` object.
  `default T`
  `setURL(URL url, URLConnectionOptions urlConnectionOptions)`
  Sets the location of the associated `FileHandler` as a `URL` object.

- ## Method Details

  - ### setBasePath

    T setBasePath(String path)
    Sets the base path of the associated `FileHandler`.
    Parameters:
      `path` - the base path
    Returns:
      a reference to this object for method chaining

  - ### setEncoding

    T setEncoding(String enc)
    Sets the encoding of the associated `FileHandler`.
    Parameters:
      `enc` - the encoding
    Returns:
      a reference to this object for method chaining

  - ### setFile

    T setFile(File file)
    Sets the location of the associated `FileHandler` as a `File` object.
    Parameters:
      `file` - the `File` location
    Returns:
      a reference to this object for method chaining

  - ### setFileName

    T setFileName(String name)
    Sets the file name of the associated `FileHandler`.
    Parameters:
      `name` - the file name
    Returns:
      a reference to this object for method chaining

  - ### setFileSystem

    T setFileSystem(FileSystem fs)
    Sets the `FileSystem` of the associated `FileHandler`.
    Parameters:
      `fs` - the `FileSystem`
    Returns:
      a reference to this object for method chaining

  - ### setLocationStrategy

    T setLocationStrategy(FileLocationStrategy strategy)
    Sets the `FileLocationStrategy` for resolving the referenced file.
    Parameters:
      `strategy` - the `FileLocationStrategy`
    Returns:
      a reference to this object for method chaining

  - ### setPath

    T setPath(String path)
    Sets the location of the associated `FileHandler` as an absolute file path.
    Parameters:
      `path` - the path location
    Returns:
      a reference to this object for method chaining

  - ### setReloadingDetectorFactory

    T setReloadingDetectorFactory(ReloadingDetectorFactory factory)
    Sets the factory for creating `ReloadingDetector` objects. With this method a custom factory for reloading detectors can be installed. Per default, a factory creating `FileHandlerReloadingDetector` objects is used.
    Parameters:
      `factory` - the `ReloadingDetectorFactory`
    Returns:
      a reference to this object for method chaining

  - ### setReloadingRefreshDelay

    T setReloadingRefreshDelay(Long reloadingRefreshDelay)
    Sets the refresh delay for reloading support
    Parameters:
      `reloadingRefreshDelay` - the refresh delay (in milliseconds)
    Returns:
      a reference to this object for method chaining

  - ### setURL

    T setURL(URL url)
    Sets the location of the associated `FileHandler` as a `URL` object.
    Parameters:
      `url` - the `URL` location
    Returns:
      a reference to this object for method chaining

  - ### setURL

    default T setURL(URL url, URLConnectionOptions urlConnectionOptions)
    Sets the location of the associated `FileHandler` as a `URL` object.
    Parameters:
      `url` - the `URL` location
      `urlConnectionOptions` - options
    Returns:
      a reference to this object for method chaining
    Since:
      2.8.0